%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Color management tools for GNOME
Name:		gnome-color-manager
Version:	3.36.0
Release:	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://gitlab.gnome.org/GNOME/gnome-color-manager
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-Remove-forgotten-libcanberra-include.patch
Patch2:		0002-Replace-404-projects.gnome.org-with-gitlab.gnome.org-URLs.patch
Patch3:		0003-desktop_Remove-obsolete-Bugzilla-entries.patch
Patch4:		0004-Update-French-translation.patch
BuildRequires:	meson
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-utils
BuildRequires:	itstool
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires:	pkgconfig(colord) >= 1.3.1
BuildRequires:	pkgconfig(lcms2) >= 2.2

Requires:	adwaita-icon-theme
Requires:	colord

%description
gnome-color-manager is a session framework that makes it easy to manage,
install and generate color profiles in the GNOME desktop.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --all-name --with-gnome

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done

%check
exit 0
%meson_test

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_bindir}/gcm-*
%{_datadir}/%{name}
%{_datadir}/man/man1/*
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/*.appdata.xml


%changelog
* Tue Feb 14 2023 papoteur <papoteur> 3.36.0-6.mga9
+ Revision: 1942034
- Rebuild because it crashes (mga#31544)

* Mon Feb 13 2023 daviddavid <daviddavid> 3.36.0-5.mga9
+ Revision: 1941411
- time to clean build dependencies

* Mon Feb 13 2023 daviddavid <daviddavid> 3.36.0-4.mga9
+ Revision: 1941393
- backports some upstream patches as of git 2022-09-17
- update Url

* Mon Oct 24 2022 papoteur <papoteur> 3.36.0-3.mga9
+ Revision: 1898929
- Remove unneeded mash BR

* Mon Apr 04 2022 umeabot <umeabot> 3.36.0-2.mga9
+ Revision: 1843126
- Mageia 9 Mass Rebuild

* Wed Apr 01 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1563517
- new version 3.36.0

* Wed Mar 04 2020 ovitters <ovitters> 3.35.90-1.mga8
+ Revision: 1553828
- new version 3.35.90

* Sat Feb 15 2020 umeabot <umeabot> 3.32.0-4.mga8
+ Revision: 1526358
- Mageia 8 Mass Rebuild

* Thu May 16 2019 daviddavid <daviddavid> 3.32.0-3.mga7
+ Revision: 1398044
- rebuild for new exiv2 0.27.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392320
- Rebuild with meson 0.50.1

* Sat Mar 09 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1373079
- new version 3.32.0
- remove merged upstream patch

* Mon Dec 31 2018 daviddavid <daviddavid> 3.30.0-2.mga7
+ Revision: 1347579
- add patch to fix build with exiv2 >= 0.27
+ luigiwalser <luigiwalser>
- rebuild for exiv2

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257166
- new version 3.30.0

* Tue Mar 13 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1209061
- new release

* Fri Sep 15 2017 tv <tv> 3.26.0-4.mga7
+ Revision: 1154421
- adjust filelist
- disable testsuite (missing DISPLAY)
+ ovitters <ovitters>
- new version 3.26.0
- switch to meson
- new version 3.25.90

* Tue Jun 20 2017 neoclust <neoclust> 3.24.0-2.mga6
+ Revision: 1107993
- Rebuild against new exiv2

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094016
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065591
- new version 3.22.2

* Wed Oct 12 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060490
- new version 3.22.1

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054239
- new version 3.22.0

* Mon Sep 19 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1054092
- new version 3.21.91

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993500
- new version 3.20.0

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961457
- new version 3.19.90

* Sun Feb 14 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960327
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882996
- new release

* Tue Aug 25 2015 tv <tv> 3.17.90-2.mga6
+ Revision: 869200
- rebuild for new libexiv2

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865862
- new version 3.17.90

* Mon Jun 22 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 839692
- force fixed desktop file
- new version 3.16.0

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796319
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 742890
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738316
- new version 3.14.1

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721225
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-2.mga5
+ Revision: 679706
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666282
- new version 3.13.90
- dropped merged patch 1

* Fri May 30 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627994
- add upstream patch for vte 2.91 api
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622126
- new version 3.12.2
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Fri Apr 11 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613449
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607805
- new version 3.12.0

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593563
- new version 3.11.90

* Mon Feb 10 2014 dams <dams> 3.11.5-2.mga5
+ Revision: 588996
- rebuild for new exiv2

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583897
- new version 3.11.5

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542072
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 496936
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484775
- new version 3.10.0

* Sat Sep 14 2013 wally <wally> 3.9.92-2.mga4
+ Revision: 478930
- rebuild with new colord

* Fri Sep 13 2013 dams <dams> 3.9.92-1.mga4
+ Revision: 478573
- new version 3.9.92

* Fri Sep 13 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 478548
- new version 3.8.3

* Thu Aug 01 2013 dams <dams> 3.8.2-4.mga4
+ Revision: 462446
- rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 3.8.2-3.mga4
+ Revision: 454289
- Rebuild for new cogl

* Sun Jun 16 2013 wally <wally> 3.8.2-2.mga4
+ Revision: 443578
- drop requires for obsolete shared-color-profiles

* Fri May 24 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 426802
- fix br version of colord
- new version 3.8.2

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 344726
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297691
- new version 3.6.0

* Fri Aug 24 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283655
- new version 3.5.90

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266317
- update file list
- update file list
- br colord-gtk
- br itstool
- new version 3.5.3

* Mon Jun 18 2012 fwang <fwang> 3.4.2-2.mga3
+ Revision: 261630
- rebuild for new libexiv

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235658
- new version 3.4.2

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226699
- new version 3.4.0

* Wed Mar 14 2012 ovitters <ovitters> 3.3.91-1.mga2
+ Revision: 223363
- new version 3.3.91

* Wed Mar 07 2012 fwang <fwang> 3.3.5-3.mga2
+ Revision: 220708
- rebuild for new cogl

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212414
- rebuild for new cogl

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205342
- update file list
- fix deps
- new version 3.3.5

* Tue Jan 17 2012 fwang <fwang> 3.3.3-3.mga2
+ Revision: 197342
- rebuild for new cogl

* Sun Dec 25 2011 fwang <fwang> 3.3.3-2.mga2
+ Revision: 187376
- rebuild for new libtiff

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184527
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 171411
- rebuild for new cogl and clutter

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155722
- new version 3.2.1

* Sun Oct 09 2011 fwang <fwang> 3.2.0-3.mga2
+ Revision: 153411
- rebuild for new exiv2

* Mon Oct 03 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 151231
- cleanup reqs

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148887
- new version 3.2.0

* Thu Sep 22 2011 wally <wally> 3.1.92-2.mga2
+ Revision: 146817
- rebuild for new mash
- clean .spec a bit

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145730
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91-2.mga2
+ Revision: 145689
- rebuild for new cogl

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138799
- new version 3.1.91

* Wed Aug 31 2011 wally <wally> 3.1.90-1.mga2
+ Revision: 137242
- fix BRs
- fix file list
- obsolete old and dropped devel and lib package
+ fwang <fwang>
- use verbose build
- br intltool
- new version 3.1.90
- rebuild for new cogl
+ ahmad <ahmad>
- Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Tue Jul 05 2011 wally <wally> 3.1.2-2.mga2
+ Revision: 119012
- add libmash-devel BR

* Tue Jul 05 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 118950
- new version 3.1.2
- drop lib and devel packages
- clean .spec a bit

* Thu Jun 23 2011 mikala <mikala> 3.0.0-1.mga2
+ Revision: 112839
- Update tarball to 3.0.0
- Fix files list

* Fri Feb 25 2011 ennael <ennael> 2.32.0-2.mga1
+ Revision: 59873
- add BR
- imported package gnome-color-manager


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581654
- new version

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579012
- update to new version 2.31.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574747
- update to new version 2.31.91

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 566671
- new version
- bump deps
- handle gconf schema uninstallation

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550754
- update to new version 2.30.2

* Wed Jun 30 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 549699
- Fix buildrequires for sane support (metalgod)

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 538926
- new version
- fix source URL

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528777
- update build deps
- new version
- fix source URL

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 512960
- update build deps
- update to new version 2.29.4

* Mon Feb 01 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.3-1mdv2010.1
+ Revision: 499153
- Release 2.29.3

* Tue Jan 19 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-1mdv2010.1
+ Revision: 493700
- add more BR
- add missing BR for manpage generation
- enable packagekit support
- ensure hardware detection is enabled
- import gnome-color-manager


